#include<bits/stdc++.h>
using namespace std;
bool ktshh(int x)
{
    bool kt=false;
    if(x>1)
    {
        int tg=1;
        for(int i=2;i<x;i++)
        {
            if(x % i==0)
            {
                tg=tg+i;
            }
        }
        if(tg==x){kt=true;}
    }
    return kt;
}
int main()
{
    ifstream fi("dayso.inp");
    ofstream fo("sohh.out");
    int n;
    fi>>n;
    int a[n];
    for(int i=0;i<n;i++)
    {
        fi>>a[i];
    }
    for(int i=0;i<n-1;i++)
    {
        for(int j=i+1;j<n;j++)
        {
            if(a[i]==a[j])
            {
                for(int k=j;k<n-1;k++)
                {
                    a[k]=a[k+1];
                }
                n--;
            }
        }
    }
    for(int i=0;i<n;i++)
    {
        if(ktshh(a[i]))
        {
            fo<<a[i]<<endl;
        }
    }
}
